Bug 175839

Summary: [update]: www/mongrel2 up to optionsng
Product: Ports & Packages Reporter: Veniamin <g.veniamin>
Component: Individual Port(s)Assignee: freebsd-ports-bugs (Nobody) <ports-bugs>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
file.diff none

Description Veniamin 2013-02-04 18:30:00 UTC
Update to optionsng
Comment 1 dfilter service freebsd_committer 2013-02-08 09:15:36 UTC
Author: miwi
Date: Fri Feb  8 09:15:22 2013
New Revision: 311926
URL: http://svnweb.freebsd.org/changeset/ports/311926

Log:
  - OptionNG
  - Trim header
  
  PR:		175839 175840
  Submitted by:	maintainer

Modified:
  head/deskutils/znotes/Makefile
  head/www/mongrel2/Makefile   (contents, props changed)

Modified: head/deskutils/znotes/Makefile
==============================================================================
--- head/deskutils/znotes/Makefile	Fri Feb  8 09:10:26 2013	(r311925)
+++ head/deskutils/znotes/Makefile	Fri Feb  8 09:15:22 2013	(r311926)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	znotes
-# Date created:		2009-11-12
-# Whom:			Gvozdikov Veniamin <g.veniamin@googlemail.com>
-#
+# Created by: Gvozdikov Veniamin <g.veniamin@googlemail.com>
 # $FreeBSD$
-#
 
 PORTNAME=	znotes
 PORTVERSION=	0.4.5
@@ -23,7 +19,7 @@ DESKTOP_ENTRIES="zNotes" "Simple notes" 
 		"${PREFIX}/share/pixmaps/${PORTNAME}.png" "${PORTNAME}" \
 		"Utility;TextEditor;Qt;" ${FALSE}
 
-OPTIONS=	NLS		"Build with NLS support" on
+OPTIONS_DEFINE=		NLS
 
 PLIST_FILES=	bin/${PORTNAME} \
 		share/pixmaps/${PORTNAME}.png
@@ -34,7 +30,7 @@ post-patch:
 	    @${REINPLACE_CMD} -i -e 's,QCoreApplication::applicationDirPath()+"/translations","${DATADIR}/translations",g' \
 		${WRKSRC}/settings.cpp
 
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
 
 do-configure:
 	cd ${WRKSRC} && ${QMAKE} ${QMAKEFLAGS}
@@ -43,7 +39,7 @@ do-install:
 	${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${PREFIX}/bin/${PORTNAME}
 	${INSTALL_DATA} ${WRKSRC}/${PORTNAME}.png ${PREFIX}/share/pixmaps/
 
-.if defined(WITH_NLS)
+.if ${PORT_OPTIONS:MNLS}
 	${MKDIR} ${DATADIR}/translations
 	${INSTALL_DATA} ${WRKSRC}/translations/*.qm ${DATADIR}/translations
 PLIST_FILES+=	%%DATADIR%%/translations/${PORTNAME}_cs.qm \
@@ -59,4 +55,4 @@ PLIST_DIRS+=	%%DATADIR%%/translations \
 .else
 .endif
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/www/mongrel2/Makefile
==============================================================================
--- head/www/mongrel2/Makefile	Fri Feb  8 09:10:26 2013	(r311925)
+++ head/www/mongrel2/Makefile	Fri Feb  8 09:15:22 2013	(r311926)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	mongrel2
-# Date created:		2011-09-28
-# Whom:			Gvozdikov Veniamin <g.veniamin@googlemail.com>
-#
+# Created by: Gvozdikov Veniamin <g.veniamin@googlemail.com>
 # $FreeBSD$
-#
 
 PORTNAME=	mongrel2
 PORTVERSION=	1.7.5
@@ -30,11 +26,11 @@ EXAMPLES_LIST=	bbs \
 		tornado \
 		zcov
 
-OPTIONS=	EXAMPLES "Install examplse" on
+OPTIONS_DEFINE=		EXAMPLES
 
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
 
-.if defined(WITH_EXAMPLES)
+.if ${PORT_OPTIONS:MEXAMPLES}
 PLIST_SUB+=	EXAMPLES=""
 .else
 PLIST_SUB+=	EXAMPLES="@comment "
@@ -51,4 +47,4 @@ post-install:
 .endfor
 .endif
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 2 Martin Wilke freebsd_committer 2013-02-08 09:15:42 UTC
State Changed
From-To: open->closed

Committed. Thanks!